Index: LMDZ4/trunk/libf/dyn3d/calfis.F
===================================================================
--- LMDZ4/trunk/libf/dyn3d/calfis.F	(revision 1146)
+++ LMDZ4/trunk/libf/dyn3d/calfis.F	(revision 1279)
@@ -1,10 +1,9 @@
 !
-! $Header$
+! $Id$
 !
 C
 C
       SUBROUTINE calfis(lafin,
-     $                  rdayvrai,
-     $                  heure,
+     $                  jD_cur, jH_cur,
      $                  pucov,
      $                  pvcov,
@@ -102,5 +101,5 @@
 c    -----------
       LOGICAL  lafin
-      REAL heure
+
 
       REAL pvcov(iip1,jjm,llm)
@@ -170,5 +169,6 @@
       DATA firstcal/.true./
       SAVE firstcal,debut
-      REAL rdayvrai
+!      REAL rdayvrai
+      REAL, intent(in):: jD_cur, jH_cur
 c
 c-----------------------------------------------------------------------
@@ -177,6 +177,8 @@
 c    --------------------
 c
-
-      IF (ngridmx.NE.2+(jjm-1)*iim) THEN
+c
+      IF ( firstcal )  THEN
+        debut = .TRUE.
+        IF (ngridmx.NE.2+(jjm-1)*iim) THEN
          PRINT*,'STOP dans calfis'
          PRINT*,'La dimension ngridmx doit etre egale a 2 + (jjm-1)*iim'
@@ -184,16 +186,8 @@
          PRINT*,ngridmx,jjm,iim
          STOP
-      ENDIF
-
-c-----------------------------------------------------------------------
-c   latitude, longitude et aires des mailles pour la physique:
-c   ----------------------------------------------------------
-
-c
-      IF ( firstcal )  THEN
-          debut = .TRUE.
+        ENDIF
       ELSE
-          debut = .FALSE.
-      ENDIF
+        debut = .FALSE.
+      ENDIF ! of IF (firstcal)
 
 c
@@ -290,6 +284,7 @@
 
 c   convergence dynamique pour les traceurs "EAU"
-
-      DO iq=1,2
+! Earth-specific treatment of first 2 tracers (water)
+       if (planet_type=="earth") then
+        DO iq=1,2
          DO l=1,llm
             pcvgq(1,l,iq)= pdq(1,1,l,iq) / pmasse(1,1,l)
@@ -303,5 +298,6 @@
             pcvgq(ig0,l,iq)= pdq(1,jjp1,l,iq) / pmasse(1,jjp1,l)
          ENDDO
-      ENDDO
+        ENDDO
+       endif ! of if (planet_type=="earth")
 
 
@@ -428,8 +424,12 @@
       ENDDO
 c
+      if (planet_type=="earth") then
+#ifdef CPP_EARTH
 cIM calcul PV a teta=350, 380, 405K
       CALL PVtheta(ngridmx,llm,pucov,pvcov,pteta,
      $           ztfi,zplay,zplev,
      $           ntetaSTD,rtetaSTD,PVteta)
+#endif
+      endif
 c
 c On change de grille, dynamique vers physiq, pour le flux de masse verticale
@@ -441,10 +441,12 @@
 
 
+      if (planet_type=="earth") then
+#ifdef CPP_EARTH
       CALL physiq (ngridmx,
      .             llm,
      .             debut,
      .             lafin,
-     .             rdayvrai,
-     .             heure,
+     .             jD_cur,
+     .             jH_cur,
      .             dtphys,
      .             zplev,
@@ -467,4 +469,6 @@
      .             pducov,
      .             PVteta)
+#endif
+      endif !of if (planet_type=="earth")
 
 500   CONTINUE
@@ -502,25 +506,25 @@
 c   62. humidite specifique
 c   ---------------------
-
-      DO iq=1,nqtot
-         DO l=1,llm
-            DO i=1,iip1
-               pdqfi(i,1,l,iq)    = zdqfi(1,l,iq)
-               pdqfi(i,jjp1,l,iq) = zdqfi(ngridmx,l,iq)
-            ENDDO
-            DO j=2,jjm
-               ig0=1+(j-2)*iim
-               DO i=1,iim
-                  pdqfi(i,j,l,iq) = zdqfi(ig0+i,l,iq)
-               ENDDO
-               pdqfi(iip1,j,l,iq) = pdqfi(1,j,l,iq)
-            ENDDO
-         ENDDO
-      ENDDO
+! Ehouarn: removed this useless bit: was overwritten at step 63 anyways
+!      DO iq=1,nqtot
+!         DO l=1,llm
+!            DO i=1,iip1
+!               pdqfi(i,1,l,iq)    = zdqfi(1,l,iq)
+!               pdqfi(i,jjp1,l,iq) = zdqfi(ngridmx,l,iq)
+!            ENDDO
+!            DO j=2,jjm
+!               ig0=1+(j-2)*iim
+!               DO i=1,iim
+!                  pdqfi(i,j,l,iq) = zdqfi(ig0+i,l,iq)
+!               ENDDO
+!               pdqfi(iip1,j,l,iq) = pdqfi(1,j,l,iq)
+!            ENDDO
+!         ENDDO
+!      ENDDO
 
 c   63. traceurs
 c   ------------
 C     initialisation des tendances
-      pdqfi=0.
+      pdqfi(:,:,:,:)=0.
 C
       DO iq=1,nqtot
